# Generated from sftrace-agent-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sftrace-agent

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: SnappyFlow tracing allows you to monitor software services and applications in real time
License: MIT
URL: https://www.snappyflow.io/#/resources/sftracing/ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
BuildArch: noarch

%description
Sftracing enables you to analyze performance throughout your microservices
architecture all in one view. This is accomplished by tracing all of the
requests - from the initial web request to your front-end service - to queries
made to your back-end services. This makes finding possible bottlenecks
throughout your application much easier and faster.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sftrace-agent.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.3-1
- Initial package
